*"表題 GTOOLファイル名取得オープン GTOOL3(GFROPQ)
*
*"履歴 90/10/13 沼口  敦
*"     92/09/19 沼口  敦 APPEND
*"     99/12/02 竹広真一  メッセージ出力番号を DCL より取得
*
*********************************************************************
*"         << ファイル名取得＆読み込みオープン >>
*********************************************************************
      SUBROUTINE GFROPQ
     O         ( IFILE ,
     I           HINQ   )
*
      INTEGER    IFILE                    !" 装置番号
      CHARACTER  HINQ  *(*)
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                    !" NCC, NDC
#else
#include         "gzsize.F"                  !" NCC, NDC
#endif
      INTEGER    IUNIT
      CHARACTER  HFILE *(NFILN)           !" ファイル名
      CHARACTER  HMSG  *100
      DATA       IFILED / 50 /
*
      CALL GLIGET( 'MSGUNIT', IUNIT )
*
      IFILE  = IFILED
      HMSG   = ' INPUT  FILE NAME for '//HINQ//' ? '
      WRITE ( IUNIT,* )     HMSG
      READ  ( 5,'(A)' ) HFILE
*
      CALL       GFROPN
     O         ( IFILE , HFILE )
*
      RETURN
*====================================================================
*"         << ファイル名取得＆書き込みオープン >>
*====================================================================
      ENTRY      GFWOPQ
     O         ( IFILE ,
     I           HINQ   )
*
      IFILE  = IFILED
      HMSG   = ' OUTPUT FILE NAME for '//HINQ//' ? '
      CALL GLIGET( 'MSGUNIT', IUNIT )
      WRITE ( IUNIT,* )     HMSG
      READ  ( 5,'(A)' ) HFILE
*
      CALL       GFWOPN
     O         ( IFILE , HFILE )
*
      RETURN
*====================================================================
*"         << ファイル名取得＆追加書き込みオープン >>
*====================================================================
      ENTRY      GFAOPQ
     O         ( IFILE ,
     I           HINQ   )
*
      IFILE  = IFILED
      HMSG   = ' APPEND OUT FILE NAME for '//HINQ//' ? '
      CALL GLIGET( 'MSGUNIT', IUNIT )
      WRITE ( IUNIT,* )     HMSG
      READ  ( 5,'(A)' ) HFILE
*
      CALL       GFAOPN
     O         ( IFILE , HFILE )
*
      RETURN
*====================================================================
*"         << ファイル名取得＆(追加)書き込みオープン >>
*====================================================================
      ENTRY      GFOOPQ
     M         ( IFILE ,
     I           HINQ    )
*
      IFILE  = IFILED
      HMSG   = ' OUTPUT FILE NAME for '//HINQ//' ? '
      CALL GLIGET( 'MSGUNIT', IUNIT )
      WRITE ( IUNIT,* )     HMSG
      READ  ( 5,'(A)' ) HFILE
*
      CALL    GFOOPN
     O         ( IFILE , HFILE, .FALSE. )
*
      RETURN
      END
